## PkDistroUpgrade PkDistroUpgrade — DistroUpgrade object |

## Synopsis

                        PkDistroUpgradePrivate;
                        PkDistroUpgrade;
                        PkDistroUpgradeClass;
    PkDistroUpgrade *   pk_distro_upgrade_new               (void);

## Object Hierarchy

      GObject
       +----PkSource
             +----PkDistroUpgrade

## Properties

      "name"                     gchar*                : Read / Write
      "state"                    guint                 : Read / Write
      "summary"                  gchar*                : Read / Write

## Description

This GObject represents a distro_upgrade from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Details

### PkDistroUpgradePrivate

    typedef struct _PkDistroUpgradePrivate PkDistroUpgradePrivate;

Private PkDistroUpgrade data

### PkDistroUpgrade

    typedef struct _PkDistroUpgrade PkDistroUpgrade;

### PkDistroUpgradeClass

    typedef struct {
    	PkSourceClass parent_class;
    	/* padding for future expansion */
    	void (*_pk_reserved1) (void);
    	void (*_pk_reserved2) (void);
    	void (*_pk_reserved3) (void);
    	void (*_pk_reserved4) (void);
    	void (*_pk_reserved5) (void);
    } PkDistroUpgradeClass;

### pk_distro_upgrade_new ()

    PkDistroUpgrade *   pk_distro_upgrade_new               (void);

Returns : | a new PkDistroUpgrade object.

Since 0.5.4

## Property Details

### The `"name"` property

      "name"                     gchar*                : Read / Write

Default value: NULL

Since 0.5.4

### The `"state"` property

      "state"                    guint                 : Read / Write

Default value: 0

Since 0.5.4

### The `"summary"` property

      "summary"                  gchar*                : Read / Write

Default value: NULL

Since 0.5.4